---
lang: en
title: 'API docs: context.proxysource'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.proxysource.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ProxySource](./context.proxysource.md)

## ProxySource class

Invocation source for injected proxies. It wraps a snapshot of the `ResolutionSession` that tracks the binding/injection stack.

**Signature:**

```typescript
export declare class ProxySource implements InvocationSource<ResolutionSession> 
```
**Implements:** [InvocationSource](./context.invocationsource.md)<!-- -->&lt;[ResolutionSession](./context.resolutionsession.md)<!-- -->&gt;

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(value)](./context.proxysource._constructor_.md) |  | Constructs a new instance of the <code>ProxySource</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [type](./context.proxysource.type.md) |  | string |  |
|  [value](./context.proxysource.value.md) | <code>readonly</code> | [ResolutionSession](./context.resolutionsession.md) |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [toString()](./context.proxysource.tostring.md) |  |  |


